For Developers

Fetch Credential

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/credentials/:credential_id

Fetches a single credential by ID.

Permissions

Requires the credentials.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.
:credential_idUUIDYesThe ID of the credential.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/credentials/${credential_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "8aa73a24-c279-4a45-9123-9cda31cc316b",
        "name": "Production Key",
        "secret": "sk_live_abc123...xyz789"
    }
}